//===フォーカスアウト
$(document).on("change", ".eventjan", function (e) {
  var me = $(this);
  if (e.bubbles == false) {
    return false;
  }
  var grp = $(this).closest(".janGrp");

  // 直近の１つ
  var jan = grp.find(".jan")[0];
  var vjan = grp.find(".vjan")[0];
  var ijan = grp.find(".ijan")[0];
  var gdjnm = grp.find(".gdjnm")[0];
  var gdjstnd = grp.find(".gdjstnd")[0];
  var gdcls9 = grp.find(".gdcls9")[0];
  var gdcls9nm = grp.find(".gdcls9nm")[0];

  if(jan != null && !$(jan).hasClass("eventjan")){  //undefindじゃない
    common.setValue($(jan), "");
  }
  if(vjan != null && !$(vjan).hasClass("eventjan")){  //undefindじゃない
    common.setValue($(vjan), "");
  }
  if(ijan != null){  //undefindじゃない
    common.setValue($(ijan), "");
  }
  if(gdcls9 != null){  //undefindじゃない
    common.setValue($(gdcls9), "");
  }
  if(gdcls9nm != null){  //undefindじゃない
    common.setValue($(gdcls9nm), "");
  }
  if(gdjnm != null){  //undefindじゃない
    common.setValue($(gdjnm), "");
  }
  if(gdjstnd != null){  //undefindじゃない
    common.setValue($(gdjstnd), "");
  }

  var $stpflg = $(this).data("stpflg"); //0=廃止可(デフォルト) 1=廃止可 2=マスタ無し可能
  if(!stringUtil.isValid($stpflg)) {
    $stpflg = '0';
  }

  common.clearError(me);
  common.changeVal(me);

  if ($(this).val() == "") {
    me.trigger("clearChangeJan", "");
    return true;
  }

  /*
  if(!me.hasClass("nolpad")) {
    let mlen = $(this).attr("maxlength");
    common.setValue($(this), stringUtil.lpadStr( common.getValue( $(this)), mlen, "0" )  );
  }
  */

  var me = $(this);
  var kbn = "1";  //janで検索
  var inp = common.getValue(me);
  if (inp.length >= 4 && inp.length <=6) {
    kbn = "3" //後方一致
  }
  var sendData = {};

  sendData["tblnm"] = "afm02";
  sendData["inpcd"] = inp;
  sendData["kbn"] = kbn;
  sendData["stpflg"] = $stpflg;

  common.postData(
    common.getApiUrl() + "getMstNm.php"
    , sendData
    , function (data) {
      // 特殊処理があれば
      var obj = JSON.parse(data);

      if(jan != null) {  //undefindじゃない
        common.setValue($(jan), obj.jan);
      }
      if(vjan != null) {  //undefindじゃない
        common.setValue($(vjan), obj.vjan);
      }
      if(ijan != null) {  //undefindじゃない
        common.setValue($(ijan), obj.ijan);
      }
      if(gdjnm != null) {  //undefindじゃない
        common.setValue($(gdjnm), obj.gdjnm);
      }
      if(gdjstnd != null) {  //undefindじゃない
        common.setValue($(gdjstnd), obj.gdjstnd);
      }
      if(gdcls9 != null) {  //undefindじゃない
        common.setValue($(gdcls9), obj.gdcls9);
      }
      if(gdcls9nm != null) {  //undefindじゃない
        common.setValue($(gdcls9nm), obj.gdcls9nm);
      }

      if (me.attr("regSuccess")) {
        me.trigger("regSuccess", obj);
      }
      me.trigger("afterChangeJan", data);
    }
    , function (error) {
      if (me.attr("regError")) {
        $(me).val("");
        $(me).trigger("regError", [error, $(me)]);
      } else {
        if(error.ret == '-2') {
          $(me).data("multiJan",'1');
          $(me).trigger("openAfm02x1");
        } else {
          $(me).val("");
          common.addError($(me), error.msg, null);
          me.trigger("errChangeJan", error.msg);
        }
      }
      $(me).focus();
    }
  );

  return false;
});
